谁在 2.6.24-19 使用 3945 无线卡的。

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

谁在 2.6.24-19 使用 3945 无线卡的。

#1

帖子 eexpress » 2008-07-06 20:39

一直就不行。今天又试了下,依然不行。只好还是用17内核。@@@@

安装了这些。
☎ as linux.*l[bu]m-2.6.24-19-generic
i linux-headers-lbm-2.6.24-19-generic - Header files related to linux-backports-modules ver
i linux-headers-lum-2.6.24-19-generic - Header files related to linux-ubuntu-modules versio

提示这些。
[ 25.713945] PCI: Setting latency timer of device 0000:00:1d.2 to 64
[ 40.329370] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.25
[ 40.329375] iwl3945: Copyright(c) 2003-2007 Intel Corporation
[ 40.329569] iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
[ 40.429280] wmaster0: Selected rate control algorithm 'iwl-3945-rs'
[ 49.751566] iwl3945: iwlwifi-3945-1.ucode firmware file req failed: Reason -2
[ 49.751576] iwl3945: Could not read microcode: -2


看了这个参照。
http://ubuntuforums.org/showthread.php?t=808516


似乎是要使用这个文件。??? 可19内核还和17一样,使用iwl3945???
/etc/modprobe.d/ipw3945
● 鸣学
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#2

帖子 Tenyears » 2008-07-06 20:51

我的arch已经是2.6.25,以前应该用过24-19吧,一直用ipw3945,没问题
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
头像
qiang_liu8183
论坛版主
帖子: 10688
注册时间: 2006-09-10 22:36
来自: 北京
送出感谢: 2 次
接收感谢: 6 次

#3

帖子 qiang_liu8183 » 2008-07-06 20:52

我这里也不行,但2.6.25无问题
看破、放下、自在、随缘、念佛
真诚、清净、平等、正觉、慈悲
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2008-07-06 21:06

bug是确定的啊。Tenyears用arch,可能是没碰到。
难道要这样试试?
sudo rmmod -f iwl3945
sudo modprobe ipw3945
源里面也没有2.6.25。nnnnd
● 鸣学
andrew_t
帖子: 614
注册时间: 2006-12-14 3:00
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 andrew_t » 2008-07-06 21:39

我arch用的一直是ipw3945, iwl3945不行
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2008-07-06 21:42

/lib/firmware/2.6.24-19-generic ☎ ll
总用量 376K
lrwxrwxrwx 1 root root 41 2008-07-06 21:35 iwlwifi-3945-1.ucode -> ../2.6.24-17-generic/iwlwifi-3945-1.ucode
-rw-r--r-- 1 root root 182K 2008-06-05 16:02 iwlwifi-4965-1-lbm.ucode
-rw-r--r-- 1 root root 184K 2008-07-06 21:27 iwlwifi-4965-1.ucode
真是贱货。直接ln一个老的。就正常了。3945不准备支持了??? 官网只有 4965的firmware的下载了。nnnnnd
● 鸣学
头像
hcym
帖子: 15634
注册时间: 2007-05-06 2:46
送出感谢: 0
接收感谢: 2 次

#7

帖子 hcym » 2008-07-08 12:21

nnd

也遇这劫,
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#8

帖子 冲浪板 » 2008-07-17 19:26

eexpress 写了:
/lib/firmware/2.6.24-19-generic ☎ ll
总用量 376K
lrwxrwxrwx 1 root root 41 2008-07-06 21:35 iwlwifi-3945-1.ucode -> ../2.6.24-17-generic/iwlwifi-3945-1.ucode
-rw-r--r-- 1 root root 182K 2008-06-05 16:02 iwlwifi-4965-1-lbm.ucode
-rw-r--r-- 1 root root 184K 2008-07-06 21:27 iwlwifi-4965-1.ucode
真是贱货。直接ln一个老的。就正常了。3945不准备支持了??? 官网只有 4965的firmware的下载了。nnnnnd
老的是哪个?发一个来好不好
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#9

帖子 eexpress » 2008-07-17 21:54

我的命令里面,不是都带了路径吗。
● 鸣学
strup
帖子: 652
注册时间: 2006-09-16 14:19
送出感谢: 0
接收感谢: 1 次

#10

帖子 strup » 2008-07-17 21:58

2.6.25,一直用的iwl3945 :)
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#11

帖子 冲浪板 » 2008-07-27 21:02

给贴一个 文件(for 2.6.24-17)吧,既然有用....

另外:
英语: iwlwifi-1.0.0-1.tgz 下载

版本:1.0.0 日期:2007/8/13 大小:212 (KB) 56Kbps 的下载时间:0.49 分钟
操作系统:Linux*
此下载对下列产品也有效。 使用以下链接转往更多产品下载

英特尔® PRO/Wireless 3945ABG 网络连接
英特尔® 无线 WiFi 链接 4965AGN

下载了一个,可是我没环境编译...
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#12

帖子 冲浪板 » 2008-08-04 23:32

太伟大了,直接:
sudo rmmod -f iwl3945
sudo modprobe iwl3945 disable_hw_scan=1
sudo iwlist wlan0 scan

永久的可以:
echo -e “alias wlan0 iwl3945 \noptions iwl3945 disable_hw_scan=1″ > /etc/modprobe.d/iwl3945
回复

回到 “常用硬件支持”